using Godot;

namespace Cirno.Scripts.Components.FSM.Player;

public partial class NewInit : BaseState<PlayerState, CharacterBody2D>
{
    public override PlayerState StateId => PlayerState.Init;
    
    public override void Init(IStateMachine<PlayerState, CharacterBody2D> machine)
    {
        base.Init(machine);
    }

    public override void EnterState()
    {
        GD.Print($"{Name} Entered");
    }

    public override void ExitState()
    {
        GD.Print($"{Name} Exited");
    }

    public override void ProcessState(double delta)
    {
        
    }

    public override void PhysicsProcessState(double delta)
    {
        
    }
}